﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CustomComponents.Helpers
{
    public class DataForTable<T>
    {
        public string FilePath = string.Empty;
        public string DocumentTitle = string.Empty;
        public List<int> Heights;
        public List<(int, int)> Merges;
        public List<(string props, string heads)> Headers; 
        public List<T> Data;
        public DataForTable(string filePath, string documentTitle, List<int> heights, List<(int, int)> merges, List<(string, string)> headers, List<T> data)
        {
            FilePath = filePath;
            DocumentTitle = documentTitle;
            Heights = heights;
            Merges = merges;
            Headers = headers;
            Data = data;
        }
    }
}
